Nand Backup from HomeBrew Launcher?

Discussion in '3DS - Homebrew Development and Emulators' started by StarGazerTom, Jan 19, 2016.

  1. StarGazerTom
    OP

    StarGazerTom GBAtemp Advanced Fan

    Member
    773
    492
    Feb 2, 2015
    Hi all, needing a tad bit of help here.

    Got a friends O3DS on 10.2.0.28E here, and he wants me to hack it for him.

    I've got it to load HBL through the browser, but ofcourse I don't wanna play about with any installs or anything until I've made a nand back. What program can I back the nand up with through HBL, as I tried running gateway and that did nothing.

    Thanks in advanced!
     


  2. daxtsu

    daxtsu GBAtemp Guru

    Member
    5,493
    3,879
    Jun 9, 2007
    Backing up the NAND requires ARM9, which we don't realistically (I say realistically, because ntrcardhax isn't practical for the typical user) have on 9.3 and higher, so there's no way to do it right now without a hard mod. In short, no program will be able to back it up on 10.2 right now.
     
    LiamTehChikorita likes this.
  3. StarGazerTom
    OP

    StarGazerTom GBAtemp Advanced Fan

    Member
    773
    492
    Feb 2, 2015
    BUGGER!
    What are my chances of bricking on downgrading from 10.2 to 9.2?

    — Posts automatically merged - Please don't double post! —

    Actually, let me ask. Do I NEED to downgrade for my friend to have a working emunand with his sysnand being on 10.2? Or can I just install homemenuhax and be done with it?
     
  4. TuxSH

    TuxSH GBAtemp Advanced Fan

    Member
    602
    960
    Oct 19, 2015
    France
    YES (if he wants emuNAND = online stuff, piracy etc.). Use SafeSysUpdater.

    On O3DS chances of brick should be extremely low. If it crashes during the downgrade (unlikely) you should be able to update to 10.4 with safe_mode.
     
  5. daxtsu

    daxtsu GBAtemp Guru

    Member
    5,493
    3,879
    Jun 9, 2007
    As far as I know, it's relatively safe, as long as you're using SafeSysUpdater and the correct update pack to downgrade (don't use N3DS update/downgrade packs on an O3DS or 2DS for example). If you soft-brick though it's game over, you'll need to update to 10.4 without a hard mod, via recovery mode.

    Second question: yes, downgrading is mandatory for emuNAND right now, because that also requires ARM9.
     
  6. StarGazerTom
    OP

    StarGazerTom GBAtemp Advanced Fan

    Member
    773
    492
    Feb 2, 2015
    I previously used sysupdater to bring my own 4.2 to 9.2

    Should I use this program again to bring this system DOWN to 9,2 if he wants to take the plunge?
     
    LiamTehChikorita likes this.
  7. TuxSH

    TuxSH GBAtemp Advanced Fan

    Member
    602
    960
    Oct 19, 2015
    France
  8. StarGazerTom
    OP

    StarGazerTom GBAtemp Advanced Fan

    Member
    773
    492
    Feb 2, 2015
  9. TuxSH

    TuxSH GBAtemp Advanced Fan

    Member
    602
    960
    Oct 19, 2015
    France
    Try again until it works.
     
  10. StarGazerTom
    OP

    StarGazerTom GBAtemp Advanced Fan

    Member
    773
    492
    Feb 2, 2015
    is it normal to have to power off the entire console to have to start again as pressing a to restart does nothing?
     
  11. TuxSH

    TuxSH GBAtemp Advanced Fan

    Member
    602
    960
    Oct 19, 2015
    France
    Yes, it is. Btw, since I didn't use SafeSysupdater myself, was it after a successful downgrade. If so, and if you were using menuhax, take out the sd card after the downgrade.
     
  12. StarGazerTom
    OP

    StarGazerTom GBAtemp Advanced Fan

    Member
    773
    492
    Feb 2, 2015
    Ok, I've been trying for HOURS and AM:U has not started up once.

    I'm wondering if it's possible to use HomeMenuHax on 10.2 to start SafeSysUpdater?
     
  13. Shadowfied

    Shadowfied GBAtemp Advanced Maniac

    Member
    1,587
    1,329
    Dec 6, 2014
    You SHOULD use MenuHax to run the updater. Make extremely sure that you have the correct downgrade files.
     
  14. boypalos

    boypalos Newbie

    Newcomer
    8
    1
    Jan 19, 2016
    Connect the power supply of the 3DS.. use MenuHax to run the SafeSysUpdater

    The SafeSysUpdater works perfectly on first try after connecting the power supply to my N3DS
     
  15. diegomelo

    diegomelo Member

    Newcomer
    10
    0
    Jan 20, 2016
    Brazil
    Is it "safe" to try to downgrade a N3DS (EUR) from 9.9 to 9.2 using the SafeSysUpdater, since all tutos I saw until now only mentions the 10.3 firmware? :/
     
  16. vb_encryption_vb

    vb_encryption_vb That hardmod guy....

    Member
    1,853
    891
    Nov 21, 2015
    United States
    Acworth, GA
    Any update 10.3 and below is fine.
     
    diegomelo likes this.
  17. StarGazerTom
    OP

    StarGazerTom GBAtemp Advanced Fan

    Member
    773
    492
    Feb 2, 2015
    I got it all working. From my understanding, I was reading a guide that said to run SafeSysUpdater through the browser. I ended up installing MenuHax, cus its safe to install fine. I was able to make a nand backup using decrypt9, and then was able to downgrade with SSU.

    Thanks for the help everyone :)
     
  18. leerz

    leerz GBAtemp Advanced Fan

    Member
    512
    127
    Jan 11, 2015
    Makati
    just confirming, did you backup with decrypt9 (3dsx version) before DG with SSU?

    because: http://gbatemp.net/threads/how-to-backup-sysnand-from-10-3-via-hb.408298/
     
    Last edited by leerz, Jan 21, 2016
  19. boypalos

    boypalos Newbie

    Newcomer
    8
    1
    Jan 19, 2016
    I am wondering if he was able to do that too? As for my experience, I DG my Majora Mask N3DS with the risk that I got no nand.bin backup because as far as I understand... Decrypt9 works for FW version 9.2 or below only
     
  20. StarGazerTom
    OP

    StarGazerTom GBAtemp Advanced Fan

    Member
    773
    492
    Feb 2, 2015
    boypalos likes this.